Summary:    Integration of CouchDB storage into desktop applications	
Name:       desktopcouch
Version:    0.6.3
Release:    %mkrel 1
License:    LGPLv3
Group:      Databases
URL:        https://launchpad.net/desktopcouch	
Source0:    http://launchpad.net/desktopcouch/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-root
BuildRequires: python python-setuptools
BuildRequires: python-distutils-extra
BuildRequires: intltool 
Requires:      couchdb-bin
Requires:      python-couchdb
Requires:      python-oauth
Requires:      python-twisted-core
BuildArch:     noarch

%description
Integration of CouchDB storage into desktop applications, for automatic 
replication and synchronization of data between computers.

%package tools
Requires:   pygtk2.0
Group:      Databases
Summary: Desktopcouch tools 
%description tools
This package contains graphical tools for desktopcouch, to pair two computers.

%prep
%setup -q

%build
python setup.py build

%install
rm -Rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT

rm -Rf $RPM_BUILD_ROOT/%{_docdir}/
%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xdg/desktop-couch/compulsory-auth.ini
%{_datadir}/dbus-1/services/org.desktopcouch.CouchDB.service
%{py_puresitedir}/%{name}/
%{py_puresitedir}/*.egg-info
%{_prefix}/lib/%{name}/
%{_datadir}/%{name}/

%files tools
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop



%changelog
* Sat Mar 27 2010 Michael Scherer <misc@mandriva.org> 0.6.3-1mdv2010.1
+ Revision: 528255
- add requires on twisted-core
- split tools ( as they requires gtk2 )
- update to 0.6.3
- add url for source

* Sat Feb 13 2010 Frederik Himpe <fhimpe@mandriva.org> 0.6.1-3mdv2010.1
+ Revision: 505401
- Requires: python-oauth

* Sat Feb 13 2010 Frederik Himpe <fhimpe@mandriva.org> 0.6.1-2mdv2010.1
+ Revision: 505187
- Requires python-couchdb

* Thu Feb 11 2010 Michael Scherer <misc@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 504028
- use the new couchdb-bin package
- import desktopcouch

